Community
Inventor Programming - iLogic, Macros, AddIns & Apprentice
Inventor iLogic, Macros, AddIns & Apprentice Forum. Share your knowledge, ask questions, and explore popular Inventor topics related to programming, creating add-ins, macros, working with the API or creating iLogic tools.
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

How to set ActiveAnnotationsStandard

5 REPLIES 5
SOLVED
Reply
Message 1 of 6
CadUser46
583 Views, 5 Replies

How to set ActiveAnnotationsStandard

CadUser46
Collaborator
Collaborator

I have an opportunity to update some files and was going to set the Active Standard for the new to us 3D annotation.

 

Am i using the right syntax here or is the object not exposed to the API?  I notice intellisense does not suggest this when typing.

 

    Dim oApp As Application: Set oApp = ThisApplication
    Dim oDoc As PartDocument: Set oDoc = oApp.ActiveDocument
    Set oDoc.ActiveAnnotationsStandard = "ISO"

 


Did you find this reply helpful ? If so please use the Accept as Solution or Kudos button below.

---------------------------------------------------------------------------------------------------------------------------
Inventor 2010 Certified Professional
Currently using 2023 Pro
0 Likes

How to set ActiveAnnotationsStandard

I have an opportunity to update some files and was going to set the Active Standard for the new to us 3D annotation.

 

Am i using the right syntax here or is the object not exposed to the API?  I notice intellisense does not suggest this when typing.

 

    Dim oApp As Application: Set oApp = ThisApplication
    Dim oDoc As PartDocument: Set oDoc = oApp.ActiveDocument
    Set oDoc.ActiveAnnotationsStandard = "ISO"

 


Did you find this reply helpful ? If so please use the Accept as Solution or Kudos button below.

---------------------------------------------------------------------------------------------------------------------------
Inventor 2010 Certified Professional
Currently using 2023 Pro
5 REPLIES 5
Message 2 of 6
JelteDeJong
in reply to: CadUser46

JelteDeJong
Mentor
Mentor
Accepted solution

this works for me:

Dim oApp As Application
Set oApp = ThisApplication
    
Dim oDoc As PartDocument:
Set oDoc = oApp.ActiveDocument
        
oDoc.ActiveAnnotationsStandard = "ISO"

Jelte de Jong
Did you find this post helpful? Feel free to Like this post.
Did your question get successfully answered? Then click on the ACCEPT SOLUTION button.

EESignature


Blog: hjalte.nl - github.com

0 Likes

this works for me:

Dim oApp As Application
Set oApp = ThisApplication
    
Dim oDoc As PartDocument:
Set oDoc = oApp.ActiveDocument
        
oDoc.ActiveAnnotationsStandard = "ISO"

Jelte de Jong
Did you find this post helpful? Feel free to Like this post.
Did your question get successfully answered? Then click on the ACCEPT SOLUTION button.

EESignature


Blog: hjalte.nl - github.com

Message 3 of 6
CadUser46
in reply to: JelteDeJong

CadUser46
Collaborator
Collaborator

Helps if i don't use 'Set'.


Did you find this reply helpful ? If so please use the Accept as Solution or Kudos button below.

---------------------------------------------------------------------------------------------------------------------------
Inventor 2010 Certified Professional
Currently using 2023 Pro
0 Likes

Helps if i don't use 'Set'.


Did you find this reply helpful ? If so please use the Accept as Solution or Kudos button below.

---------------------------------------------------------------------------------------------------------------------------
Inventor 2010 Certified Professional
Currently using 2023 Pro
Message 4 of 6
Maxim-CADman77
in reply to: CadUser46

Maxim-CADman77
Advisor
Advisor
But how do you know there is a property ActiveAnnotationsStandard ?
There is no single mention of it programming help section
0 Likes

But how do you know there is a property ActiveAnnotationsStandard ?
There is no single mention of it programming help section
Message 5 of 6
CadUser46
in reply to: Maxim-CADman77

CadUser46
Collaborator
Collaborator

It took me a minute to remind myself but i guess i was browsing the Locals window in VBA.

In the VBA IDE, put a break point somewhere, then browse down from oDoc.

 

CadUser46_0-1721811814836.png

 


Did you find this reply helpful ? If so please use the Accept as Solution or Kudos button below.

---------------------------------------------------------------------------------------------------------------------------
Inventor 2010 Certified Professional
Currently using 2023 Pro

It took me a minute to remind myself but i guess i was browsing the Locals window in VBA.

In the VBA IDE, put a break point somewhere, then browse down from oDoc.

 

CadUser46_0-1721811814836.png

 


Did you find this reply helpful ? If so please use the Accept as Solution or Kudos button below.

---------------------------------------------------------------------------------------------------------------------------
Inventor 2010 Certified Professional
Currently using 2023 Pro
Message 6 of 6
WCrihfield
in reply to: CadUser46

WCrihfield
Mentor
Mentor

Just dropping the cross-reference link in here to the 'other' recent forum topic which came to the same results as this one.

https://forums.autodesk.com/t5/inventor-programming-ilogic/read-control-3dmodel-s-annotations-active... 

Wesley Crihfield

EESignature

(Not an Autodesk Employee)

0 Likes

Just dropping the cross-reference link in here to the 'other' recent forum topic which came to the same results as this one.

https://forums.autodesk.com/t5/inventor-programming-ilogic/read-control-3dmodel-s-annotations-active... 

Wesley Crihfield

EESignature

(Not an Autodesk Employee)

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Autodesk Design & Make Report